<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PollAdditionalMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $pollInvalidated = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getPollInvalidated()
    {
        return isset($this->pollInvalidated) ? $this->pollInvalidated : false;
    }

    public function hasPollInvalidated()
    {
        return isset($this->pollInvalidated);
    }

    public function clearPollInvalidated()
    {
        unset($this->pollInvalidated);
    }

    




    public function setPollInvalidated($var)
    {
        GPBUtil::checkBool($var);
        $this->pollInvalidated = $var;

        return $this;
    }

}

